/***** GRID *****/

.container-fluid {
	padding-left: 15px;
	padding-right: 15px;
}

.row {
    margin-right: -16px;
    margin-left: -16px;
}

.col, .col-1, .col-10, .col-11, .col-12, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-auto,
.col-lg, .col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-auto,
.col-md, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-auto,
.col-sm, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-auto,
.col-xl, .col-xl-1, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-auto {
	padding-left: 16px;
	padding-right: 16px;
}

@media only screen and (max-width: 575px) {
	/*xs*/
	.flex-none { flex: none !important; }
}

@media only screen and (min-width: 576px) {
	/*sm*/
	.flex-sm-none { flex: none !important; }
}

@media only screen and (min-width: 768px) {
	/*md*/

	.container-fluid {
		padding-left: 50px;
		padding-right: 50px;
	}

	.flex-md-none { flex: none !important; }
}

@media only screen and (min-width: 960px) {
	/*lg*/

	.flex-lg-none { flex: none !important; }
}

@media only screen and (min-width: 1140px) {
	/*xl*/

	.container-fluid {
		padding-left: 100px;
		padding-right: 100px;
	}

	.flex-xl-none { flex: none !important; }
}



/***** NAVIGATION *****/

.navbar { padding: 1.5rem 0; }

	.navbar-brand {
		max-width: 65%;
		padding: 0;
	}
		.navbar-brand img { max-width: 100%; }

	.navbar-expand-lg .navbar-nav .nav-link {
		padding-left: 1.25rem;
		padding-right: 1.25rem;
	}
		.navbar-expand-lg .navbar-nav .nav-link:last-child { padding-right: 0; }

	.navbar-nav .nav-link {
		font-size: 1.125rem;
		text-transform: uppercase;
		letter-spacing: var(--letter-spacing);
		transition: all 0.15s ease;
	}
	.navbar-nav .nav-link:hover,
	.navbar-nav .nav-link:active,
	.navbar-nav .nav-link:focus { color: var(--giulipas-blue); }



/***** POSITIONING *****/

.p-relative { position: relative !important; }
.p-absolute { position: absolute !important; }

.position-top-0 { top: 0 !important; }
.position-bottom-0 { bottom: 0 !important; }
.position-left-0 { left: 0 !important; }
.position-right-0 { right: 0 !important; }

.position-top-1 { top: .25rem !important; }
.position-bottom-1 { bottom: .25rem !important; }
.position-left-1 { left: .25rem !important; }
.position-right-1 { right: .25rem !important; }

.position-top-2 { top: .5rem !important; }
.position-bottom-2 { bottom: .5rem !important; }
.position-left-2 { left: .5rem !important; }
.position-right-2 { right: .5rem !important; }

.position-top-3 { top: 1rem !important; }
.position-bottom-3 { bottom: 1rem !important; }
.position-left-3 { left: 1rem !important; }
.position-right-3 { right: 1rem !important; }

.position-top-4 { top: 1.5rem !important; }
.position-bottom-4 { bottom: 1.5rem !important; }
.position-left-4 { left: 1.5rem !important; }
.position-right-4 { right: 1.5rem !important; }

.position-top-5 { top: 3rem !important; }
.position-bottom-5 { bottom: 3rem !important; }
.position-left-5 { left: 3rem !important; }
.position-right-5 { right: 3rem !important; }

.position-center-x {
	left: 50%;
	transform: translateX(-50%);
}

.position-center-y {
	top: 50%;
	transform: translateY(-50%);
}

.position-center {
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}



/***** BUTTONS *****/

/*
,
.is-style-filled-default .wp-block-button__link,
.is-style-filled-primary .wp-block-button__link
*/
.wp-block-button { display: inline-block; }

.btn,
.wp-block-button__link {
	display: inline-block;
	min-width: 14.375rem;
	margin: 0;
	padding: 1.6rem 2.5rem;
	border-radius: 3.625rem;
	font-size: 1.5rem;
	font-weight: 400;
	line-height: 1;
	vertical-align: middle;
	text-transform: uppercase;
	text-align: center;
	letter-spacing: var(--letter-spacing);
	text-decoration: none !important;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.btn:focus,
.wp-block-button__link:focus {
	outline: 0;
	box-shadow: none;
}

	/* btn ghost nero */
	.btn.btn-default,
	.is-style-ghost-default .wp-block-button__link {
		border: 1px solid var(--almost-black);
		color: var(--almost-black);
		background-color: transparent;
	}
		.btn.btn-default:hover,
		.is-style-ghost-default .wp-block-button__link:hover {
			color: var(--white);
			background-color: var(--almost-black);
		}

	/* btn ghost su fondo blu */
	section.bkg-giulipas-blue .btn.btn-default,
	section.bkg-giulipas-blue .is-style-ghost-default .wp-block-button__link {
		border-color: var(--white);
		color: var(--white);
		background-color: transparent;
	}
		section.bkg-giulipas-blue .btn.btn-default:hover,
		section.bkg-giulipas-blue .is-style-ghost-default .wp-block-button__link:hover {
			color: var(--giulipas-blue);
			background-color: var(--white);
		}

	/* btn ghost blu */
	.btn.btn-default-blue,
	.is-style-ghost-primary .wp-block-button__link {
		border: 1px solid var(--giulipas-blue);
		color: var(--giulipas-blue);
		background-color: transparent;
	}
		.btn.btn-default-blue:hover,
		.is-style-ghost-primary .wp-block-button__link:hover {
			color: var(--white);
			background-color: var(--giulipas-blue);
		}

	/* btn blu pieno */
	.btn.btn-primary,
	.is-style-filled-primary .wp-block-button__link {
		border: 1px solid var(--giulipas-blue);
		color: var(--white);
		background-color: var(--giulipas-blue);
	}
		.btn.btn-primary:hover,
		.is-style-filled-primary .wp-block-button__link:hover {
			color: var(--giulipas-blue);
			background-color: var(--white);
			border-color: var(--white);
			border-color: var(--giulipas-blue);
		}

	/* btn nero pieno */
	.btn.btn-primary-black,
	.is-style-filled-default .wp-block-button__link {
		border: 1px solid var(--almost-black);
		color: var(--white);
		background-color: var(--almost-black);
	}
		.btn.btn-primary-black:hover,
		.is-style-filled-default .wp-block-button__link:hover {
			color: var(--almost-black);
			background-color: var(--white);
			border-color: var(--white);
			border-color: var(--almost-black);
		}

.btn-triangle {
	display: flex !important;
	flex-direction: column;
	justify-content: flex-end;
	align-items: flex-end;
	width: 12rem;
	height: 12rem;
	padding: 2rem;
	border-radius: 0;
	background-color: var(--giulipas-blue);
	text-align: right;
	vertical-align: bottom;
	text-decoration: none !important;
	clip-path: polygon(100% 0%,0% 100%,100% 100%);
}

	.btn-triangle svg {
		position: relative;
		display: block;
		width: 2.6rem;
		height: 2.6rem;
		transition: all ease 0.4s;
	}
		.btn-triangle svg g { stroke: var(--white); }


@media only screen and (max-width: 575px) {
	/*xs*/

}

@media only screen and (min-width: 576px) {
	/*sm*/
}

@media only screen and (min-width: 768px) {
	/*md*/

	.btn,
	.wp-block-button__link {
		padding: 1.25rem 1.875rem;
		font-size: 1.125rem;
		border-radius: 3.625rem;
	}
}

@media only screen and (min-width: 960px) {
	/*lg*/
}

@media only screen and (min-width: 1140px) {
	/*xl*/
}



.text-decoration-underline { text-decoration: underline !important; }



/***** MODAL *****/

.modal-content { border-radius: 0; }

.modal-header,
.modal-footer {
	border: none !important;
	align-items: center;
}

.modal-header button.close { opacity: 1; }
	.modal-header button.close svg {
		width: 2rem;
		height: 2rem;
	}
		.modal-header .close svg g {
			stroke: var(--medium-grey);
			stroke-width: 2px;
		}
		.modal-header .close:hover svg g { stroke: var(--almost-black); }

.modal.modal-video .modal-body { padding: 0; }

.modal-video .modal-content {
	background-color: transparent;
	border: none;
}
	.modal-video .modal-header { padding-right: 0; }
		.modal-video .modal-header .close svg g {
			stroke: var(--white);
			stroke-width: 2px;
		}
		.modal-video .modal-header .close:hover svg g { stroke: var(--white); }



/***** BOOTSTRAP SELECT *****/

.dropdown.bootstrap-select .dropdown-toggle {
	padding: 20px;
	font-size: 21px;
	line-height: 1;
	height: calc(22px + 20px * 2 + 2px);
	font-weight: 400;
	color: var(--almost-black);
	text-transform: none;
}

.dropdown.bootstrap-select .dropdown-toggle:after {
	content: url('../images/select-dropdown.svg');
	border: none;
	height: 19px;
	margin: 0;
	vertical-align: middle;
}

.bootstrap-select .dropdown-menu {
	padding: 0;
    margin: 0;
    border-radius: 0;
    border: none;
	-webkit-box-shadow: 0px 3px 5px 0px rgba(163,163,163,1);
	-moz-box-shadow: 0px 3px 5px 0px rgba(163,163,163,1);
	box-shadow: 0px 3px 5px 0px rgba(163,163,163,1);
}

.bootstrap-select .dropdown-menu li {
	border-bottom: solid 1px var(--almost-black);
	padding: 0px;
	font-weight: 400;
	color: var(--almost-black);
}
.bootstrap-select .dropdown-menu li:first-child { border-top: solid 1px var(--almost-black); }
.bootstrap-select .dropdown-menu li:last-child { border: none; }

.bootstrap-select .dropdown-toggle:focus,
.bootstrap-select>select.mobile-device:focus+.dropdown-toggle { outline: 0 !important; }

.bootstrap-select .dropdown-menu li.active { background-color: #1342F01A; }
.dropdown-item.active, .dropdown-item:active {
	color: var(--almost-black);
	background-color: transparent;
}
	.bootstrap-select .dropdown-menu li a {
		padding: 20px;
		font-size: 21px;
		line-height: 1;
		height: calc(22px + 20px * 2 + 2px);
	}

	.bootstrap-select .dropdown-item:focus,
	.bootstrap-select .dropdown-item:hover {
	    color: var(--almost-black);
	    background-color: #1342F01A;
	}
